[Index]
Defines a list of value mappings used when retrieving data for dashboard widgets. This allows a dashboard designer to substitute a stored value with a friendlier value that will be displayed to the user. Note: Updating existing grouping configs has a refresh delay of 30 mins.
Model ref.: data/DashboardValueMapping
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"name": {
"title": "Name",
"type": "string",
"required": true,
"maxLength": 1024
},
"description": {
"title": "Description",
"type": "string",
"maxLength": 1024
},
"mappings": {
"title": "Mappings",
"description": "Add all the values you would like to be mapped to a specific key.",
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"title": "Mapping Key",
"description": "User-friendly value to be displayed. Note: Updating existing grouping configs has a refresh delay of 30 mins.",
"type": "string",
"maxLength": 1024
},
"type": {
"title": "Type",
"description": "Operator used to evaluate the original value. Regex, Greater than, Less than, and Range are only applicable to Insights resources.",
"type": "string",
"choices": [
{
"value": "regex",
"title": "Regex"
},
{
"value": "contains",
"title": "Contains"
},
{
"value": "startswith",
"title": "Start with"
},
{
"value": "endswith",
"title": "End with"
},
{
"value": "greaterthan",
"title": "Greater than"
},
{
"value": "lessthan",
"title": "Less than"
},
{
"value": "range",
"title": "Range"
},
{
"value": "equals",
"title": "Equals"
}
],
"maxLength": 1024
},
"min": {
"title": "Min",
"description": "Starting point of the range.",
"type": "string",
"maxLength": 1024
},
"max": {
"title": "Max",
"description": "Ending point of the range.",
"type": "string",
"maxLength": 1024
},
"ignore_case": {
"title": "Ignore Case",
"description": "Ignore case. This options is only applicable to Automate resources.",
"type": "boolean"
},
"value": {
"title": "Value",
"description": "Original value to be replaced.",
"type": "string",
"maxLength": 1024
}
}
}
}
},
"schema_version": "0.4"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/DashboardValueMapping/add/ |
|
The GUI Add form of data/DashboardValueMapping as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/DashboardValueMapping | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/DashboardValueMapping/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/DashboardValueMapping/[pkid1]", "/api/data/DashboardValueMapping/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/DashboardValueMapping/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Bulk Modify | GET | /api/data/DashboardValueMapping/bulk_update/?schema=&schema_rules=true |
|
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk Modify | POST | /api/data/DashboardValueMapping/bulk_update/ |
|
For example: {"data":{"name":"value"}, "meta":{}, "request_meta":{ "hrefs":["/api/v0/data/DashboardValueMapping/[pkid1]", "/api/v0/data/DashboardValueMapping/[pkid2]",...]}} |
GET http://[host-proxy]/api/data/DashboardValueMapping/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/DashboardValueMapping; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/DashboardValueMapping/export/ |
|
{ "hrefs":["/api/data/DashboardValueMapping/[pkid1]", "/api/data/DashboardValueMapping/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/DashboardValueMapping and the JSON format can be used to import instances of data/DashboardValueMapping.
GET http://[host-proxy]/api/data/DashboardValueMapping/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for data/DashboardValueMapping | POST | /api/data/DashboardValueMapping/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/data/DashboardValueMapping/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag Version | PATCH | /api/data/DashboardValueMapping/+tag_version/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Configuration Template | GET | /api/data/DashboardValueMapping/configuration_template/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/data/DashboardValueMapping/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Migration Template | GET | /api/data/DashboardValueMapping/migration/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/DashboardValueMapping/ |
|
The data/DashboardValueMapping schema and all instances as JSON. |
(The list will return 0 to 3 data/DashboardValueMapping instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 27,
"total_limit": null,
"order_by": "name",
"direction": "asc",
"current": "/api/data/DashboardValueMapping/?skip=0&limit=3&order_by=name&direction=asc&traversal=fulltree"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"move",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/DashboardValueMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {
"unique": [
"name"
]
},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"add",
"bulk_update_form",
"clone",
"configuration_template",
"export",
"export_bulkload_template",
"field_display_policy",
"get",
"help",
"list",
"migration",
"transform",
"remove",
"tag",
"tag_version",
"update"
],
"schema_version": "0.4",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/DashboardValueMapping/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DashboardValueMapping/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"bulk_update_form": {
"method": "GET",
"class": "update",
"href": "/api/data/DashboardValueMapping/bulk_update/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Bulk Modify"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/DashboardValueMapping/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/data/DashboardValueMapping/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DashboardValueMapping/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DashboardValueMapping/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"configuration_template": {
"method": "GET",
"class": "config",
"href": "/api/data/DashboardValueMapping/configuration_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Configuration Template"
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/data/DashboardValueMapping/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"migration": {
"method": "GET",
"class": "migration",
"href": "/api/data/DashboardValueMapping/migration/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Migration Template"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/DashboardValueMapping/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DashboardValueMapping/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
},
{
"transform": {
"method": "GET",
"class": "transform",
"href": "/api/data/DashboardValueMapping/transform/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Transform Template"
}
}
]
},
"resources": [
{
"data": {
"name": "Autonomous System Number (ASN)",
"description": "Sample list of AS Number mappings",
"mappings": [
{
"key": "Redcentric (Hotchilli)",
"type": "equals",
"ignore_case": true,
"value": "as8419"
},
{
"key": "Redcentric",
"type": "equals",
"ignore_case": true,
"value": "as13009"
},
{
"key": "Bharti Airtel SMP",
"type": "equals",
"ignore_case": true,
"value": "as1299"
},
{
"key": "Akamai International NL",
"type": "equals",
"ignore_case": true,
"value": "as20940"
},
{
"key": "Telekomunikasi Indonesia",
"type": "equals",
"ignore_case": true,
"value": "as7713"
},
{
"key": "Hurricane Electric",
"type": "equals",
"ignore_case": true,
"value": "as6939"
},
{
"key": "Fastly Pantheon",
"type": "equals",
"ignore_case": true,
"value": "as54113"
},
{
"key": "Telstra Corp",
"type": "equals",
"ignore_case": true,
"value": "as1221"
},
{
"key": "Bell Canada",
"type": "equals",
"ignore_case": true,
"value": "as577"
},
{
"key": "Akamai Tech",
"type": "equals",
"ignore_case": true,
"value": "as16625"
},
{
"key": "Vocus International (backbone)",
"type": "equals",
"ignore_case": true,
"value": "as4826"
},
{
"key": "Microsoft Corp",
"type": "equals",
"ignore_case": true,
"value": "as8068"
},
{
"key": "Microsoft Corp",
"type": "equals",
"ignore_case": true,
"value": "as8075"
},
{
"key": "Cogent Communications",
"type": "equals",
"ignore_case": true,
"value": "as174"
},
{
"key": "SingTel Optus",
"type": "equals",
"ignore_case": true,
"value": "as7474"
},
{
"key": "Google",
"type": "equals",
"ignore_case": true,
"value": "as15169"
},
{
"key": "eStructure DC MTL",
"type": "equals",
"ignore_case": true,
"value": "as10929"
},
{
"key": "Singapore Telecom",
"type": "equals",
"ignore_case": true,
"value": "as7473"
},
{
"key": "Zayo Networks",
"type": "equals",
"ignore_case": true,
"value": "as6461"
},
{
"key": "Tata Communications",
"type": "equals",
"ignore_case": true,
"value": "as6453"
},
{
"key": "Amazon",
"type": "equals",
"ignore_case": true,
"value": "as16509"
},
{
"key": "Fuzenet",
"type": "equals",
"ignore_case": true,
"value": "as45763"
}
],
"pkid": "69ee3b2962dfd021865c903f",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/DashboardValueMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay"
],
"title": "Autonomous System Number (ASN)",
"business_key": {
"unique": [
"name"
]
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/",
"pkid": "69ee3b2962dfd021865c903e"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3b2962dfd021865c903e"
],
"schema_version": "0.4",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3b2962dfd021865c903e"
},
{
"data": {
"name": "Cisco CCM Cause Codes",
"description": "Cisco CCM Cause Codes",
"mappings": [
{
"key": "No Error",
"type": "regex",
"value": "(^0$)"
},
{
"key": "Unallocated",
"type": "regex",
"value": "(^1$)"
},
{
"key": "No Route",
"type": "regex",
"value": "(^2$)"
},
{
"key": "No Route",
"type": "regex",
"value": "(^3$)"
},
{
"key": "Send Special information tone",
"type": "regex",
"value": "(^4$)"
},
{
"key": "Misdialed trunk prefix",
"type": "regex",
"value": "(^5$)"
},
{
"key": "Channel unacceptable",
"type": "regex",
"value": "(^6$)"
},
{
"key": "Call awarded",
"type": "regex",
"value": "(^7$)"
},
{
"key": "Preemption",
"type": "regex",
"value": "(^8$)"
},
{
"key": "Preemption-circuit reserved for reuse",
"type": "regex",
"value": "(^9$)"
},
{
"key": "Normal Call Clear",
"type": "regex",
"value": "(^16$)"
},
{
"key": "User Busy",
"type": "regex",
"value": "(^17$)"
},
{
"key": "No user responding",
"type": "regex",
"value": "(^18$)"
},
{
"key": "No answer from user",
"type": "regex",
"value": "(^19$)"
},
{
"key": "Subscriber absent",
"type": "regex",
"value": "(^20$)"
},
{
"key": "Call rejected",
"type": "regex",
"value": "(^21$)"
},
{
"key": "Number changed",
"type": "regex",
"value": "(^22$)"
},
{
"key": "Non-selected user clearing",
"type": "regex",
"value": "(^26$)"
},
{
"key": "Destination out of order",
"type": "regex",
"value": "(^27$)"
},
{
"key": "Invalid number format",
"type": "regex",
"value": "(^28$)"
},
{
"key": "Facility rejected",
"type": "regex",
"value": "(^29$)"
},
{
"key": "Response to status enquiry",
"type": "regex",
"value": "(^30$)"
},
{
"key": "Normal",
"type": "regex",
"value": "(^31$)"
},
{
"key": "No circuit available",
"type": "regex",
"value": "(^34$)"
},
{
"key": "Network out of order",
"type": "regex",
"value": "(^38$)"
},
{
"key": "Permanent frame mode connection out of service",
"type": "regex",
"value": "(^39$)"
},
{
"key": "Permanent frame mode connection operational",
"type": "regex",
"value": "(^40$)"
},
{
"key": "Temporary failure",
"type": "regex",
"value": "(^41$)"
},
{
"key": "Switching equipment congestion",
"type": "regex",
"value": "(^42$)"
},
{
"key": "Access information discarded",
"type": "regex",
"value": "(^43$)"
},
{
"key": "Requested circuit not available",
"type": "regex",
"value": "(^44$)"
},
{
"key": "Resource Unavailable, Unspecified",
"type": "regex",
"value": "(^47$)"
},
{
"key": "Precedense call blocked",
"type": "regex",
"value": "(^46$)"
},
{
"key": "Quality of service not available",
"type": "regex",
"value": "(^49$)"
},
{
"key": "Requested facility not subscribed",
"type": "regex",
"value": "(^50$)"
},
{
"key": "Service operation violated",
"type": "regex",
"value": "(^53$)"
},
{
"key": "Incoming calls barred",
"type": "regex",
"value": "(^54$)"
},
{
"key": "Incoming calls barred within Closed User Group",
"type": "regex",
"value": "(^55$)"
},
{
"key": "Bearer capability not authorized",
"type": "regex",
"value": "(^57$)"
},
{
"key": "Bearer capability not presently available",
"type": "regex",
"value": "(^58$)"
},
{
"key": "Inconsistency in designated outgoing access information and subscriber class",
"type": "regex",
"value": "(^62$)"
},
{
"key": "Service or option not available",
"type": "regex",
"value": "(^63$)"
},
{
"key": "Bearer capability not implemented",
"type": "regex",
"value": "(^65$)"
},
{
"key": "Channel type not implemented",
"type": "regex",
"value": "(^66$)"
},
{
"key": "Requested facility not implemented",
"type": "regex",
"value": "(^69$)"
},
{
"key": "Only restricted digital information bearer capability is available",
"type": "regex",
"value": "(^70$)"
},
{
"key": "Service or option not implemented",
"type": "regex",
"value": "(^79$)"
},
{
"key": "Invalid call reference value",
"type": "regex",
"value": "(^81$)"
},
{
"key": "Identified channel does not exist",
"type": "regex",
"value": "(^82$)"
},
{
"key": "A suspended call exists, but this call identity does not",
"type": "regex",
"value": "(^83$)"
},
{
"key": "Call identity in use",
"type": "regex",
"value": "(^84$)"
},
{
"key": "No call suspended",
"type": "regex",
"value": "(^85$)"
},
{
"key": "Call having the requested call identity has been cleared",
"type": "regex",
"value": "(^86$)"
},
{
"key": "User not member of CUG",
"type": "regex",
"value": "(^87$)"
},
{
"key": "Incompatible destination",
"type": "regex",
"value": "(^88$)"
},
{
"key": "Destination number missing and DC not subscribed",
"type": "regex",
"value": "(^90$)"
},
{
"key": "Invalid transit network selection",
"type": "regex",
"value": "(^91$)"
},
{
"key": "Invalid message",
"type": "regex",
"value": "(^95$)"
},
{
"key": "Mandatory information element is missing",
"type": "regex",
"value": "(^96$)"
},
{
"key": "Message type nonexistent or not implemented",
"type": "regex",
"value": "(^97$)"
},
{
"key": "Message is not compatible with the call state",
"type": "regex",
"value": "(^98$)"
},
{
"key": "An information element or parameter does not exist or is not implemented",
"type": "regex",
"value": "(^99$)"
},
{
"key": "Invalid information element contents",
"type": "regex",
"value": "(^100$)"
},
{
"key": "The message is not compatible with the call state",
"type": "regex",
"value": "(^101$)"
},
{
"key": "Call terminated when timer expired",
"type": "regex",
"value": "(^102$)"
},
{
"key": "Parameter nonexistent or not implemented",
"type": "regex",
"value": "(^103$)"
},
{
"key": "Message with unrecognized parameter discarded",
"type": "regex",
"value": "(^110$)"
},
{
"key": "Protocol error",
"type": "regex",
"value": "(^111$)"
},
{
"key": "Precedence Level Exceeded",
"type": "regex",
"value": "(^122$)"
},
{
"key": "Device not Preemptable",
"type": "regex",
"value": "(^123$)"
},
{
"key": "Out of bandwidth",
"type": "regex",
"value": "(^125$)"
},
{
"key": "Call split",
"type": "regex",
"value": "(^126$)"
},
{
"key": "Interworking",
"type": "regex",
"value": "(^127$)"
},
{
"key": "Precedence out of bandwidth",
"type": "regex",
"value": "(^129$)"
},
{
"key": "Call Control Discovery PSTN Failover",
"type": "regex",
"value": "(^131$)"
},
{
"key": "Conference Full",
"type": "regex",
"value": "(^262144$)"
},
{
"key": "Call split",
"type": "regex",
"value": "(^393216$)"
},
{
"key": "Conference drop any party",
"type": "regex",
"value": "(^458752$)"
},
{
"key": "CCM_SIP_400_BAD_REQUEST",
"type": "regex",
"value": "(^16777257$)"
},
{
"key": "CCM_SIP_401_UNAUTHORIZED",
"type": "regex",
"value": "(^33554453$)"
},
{
"key": "CCM_SIP_402_PAYMENT_REQUIRED",
"type": "regex",
"value": "(^50331669$)"
},
{
"key": "CCM_SIP_403_FORBIDDEN",
"type": "regex",
"value": "(^67108885$)"
},
{
"key": "CCM_SIP_404_NOT_FOUND",
"type": "regex",
"value": "(^83886081$)"
},
{
"key": "CCM_SIP_405_METHOD_NOT_ALLOWED",
"type": "regex",
"value": "(^100663359$)"
},
{
"key": "CCM_SIP_406_NOT_ACCEPTABLE",
"type": "regex",
"value": "(^117440591$)"
},
{
"key": "CCM_SIP_407_PROXY_AUTHENTICATION_REQUIRED",
"type": "regex",
"value": "(^134217749$)"
},
{
"key": "CCM_SIP_408_REQUEST_TIMEOUT",
"type": "regex",
"value": "(^150995046$)"
},
{
"key": "CCM_SIP__410_GONE",
"type": "regex",
"value": "(^184549398$)"
},
{
"key": "CCM_SIP_411_LENGTH_REQUIRED",
"type": "regex",
"value": "(^201326719$)"
},
{
"key": "CCM_SIP_413_REQUEST_ENTITY_TOO_LONG",
"type": "regex",
"value": "(^234881151$)"
},
{
"key": "CCM_SIP_414_REQUEST_URI_TOO_LONG",
"type": "regex",
"value": "(^251658367$)"
},
{
"key": "CCM_SIP_415_UNSUPPORTED_MEDIA_TYPE",
"type": "regex",
"value": "(^268435535$)"
},
{
"key": "CCM_SIP_416_UNSUPPORTED_URI_SCHEME",
"type": "regex",
"value": "(^285212799$)"
},
{
"key": "CCM_SIP_420_BAD_EXTENSION",
"type": "regex",
"value": "(^83886207$)"
},
{
"key": "CCM_SIP_421_EXTENSION_REQUIRED",
"type": "regex",
"value": "(^369098879$)"
},
{
"key": "CCM_SIP_423_INTERVAL_TOO_BRIEF",
"type": "regex",
"value": "(^402653311$)"
},
{
"key": "CCM_SIP_424_BAD_LOCATION_INFO",
"type": "regex",
"value": "(^419430421$)"
},
{
"key": "CCM_SIP_480_TEMPORARILY_UNAVAILABLE",
"type": "regex",
"value": "(^1073741842$)"
},
{
"key": "CCM_SIP_481_CALL_LEG_DOES_NOT_EXIST",
"type": "regex",
"value": "(^1090519081$)"
},
{
"key": "CCM_SIP_482_LOOP_DETECTED",
"type": "regex",
"value": "(^1107296281$)"
},
{
"key": "CCM_SIP_483_TOO_MANY_HOOPS",
"type": "regex",
"value": "(^1124073497$)"
},
{
"key": "CCM_SIP_484_ADDRESS_INCOMPLETE",
"type": "regex",
"value": "(^1140850716$)"
},
{
"key": "CCM_SIP_485_AMBIGUOUS",
"type": "regex",
"value": "(^1157627905$)"
},
{
"key": "CCM_SIP_486_BUSY_HERE",
"type": "regex",
"value": "(^1174405137$)"
},
{
"key": "CCM_SIP_487_REQUEST_TERMINATED",
"type": "regex",
"value": "(^1191182367$)"
},
{
"key": "CCM_SIP_488_NOT_ACCEPTABLE_HERE",
"type": "regex",
"value": "(^1207959583$)"
},
{
"key": "CCM_SIP_491_REQUEST_PENDING",
"type": "regex",
"value": "(^1258291217$)"
},
{
"key": "CCM_SIP_493_UNDECIPHERABLE",
"type": "regex",
"value": "(^1291845649$)"
},
{
"key": "CCM_SIP_500_SERVER_INTERNAL_ERROR",
"type": "regex",
"value": "(^1409286185$)"
},
{
"key": "CCM_SIP_502_BAD_GATEWAY",
"type": "regex",
"value": "(^1442840614$)"
},
{
"key": "CCM_SIP_503_SERVICE_UNAVAILABLE",
"type": "regex",
"value": "(^1459617833$)"
},
{
"key": "CCM_SIP_503_SERVICE_UNAVAILABLE_SER_OPTION_NOAV",
"type": "regex",
"value": "(^2801795135$)"
},
{
"key": "CCM_SIP__504_SERVER_TIME_OUT",
"type": "regex",
"value": "(^1476395110$)"
},
{
"key": "CCM_SIP_505_SIP_VERSION_NOT_SUPPORTED",
"type": "regex",
"value": "(^1493172351$)"
},
{
"key": "CCM_SIP_513_MESSAGE_TOO_LARGE",
"type": "regex",
"value": "(^1509949567$)"
},
{
"key": "CCM_SIP_600_BUSY_EVERYWHERE",
"type": "regex",
"value": "(^2701131793$)"
},
{
"key": "CCM_SIP_603_DECLINE",
"type": "regex",
"value": "(^2717909013$)"
},
{
"key": "CCM_SIP_604_DOES_NOT_EXIST_ANYWHERE",
"type": "regex",
"value": "(^2734686209$)"
},
{
"key": "CCM_SIP_606_NOT_ACCEPTABLE",
"type": "regex",
"value": "(^2751463455$)"
}
],
"pkid": "69ee3b2b62dfd021865c907b",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/DashboardValueMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay"
],
"title": "Cisco CCM Cause Codes",
"business_key": {
"unique": [
"name"
]
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/",
"pkid": "69ee3b2b62dfd021865c907a"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3b2b62dfd021865c907a"
],
"schema_version": "0.4",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c907a/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3b2b62dfd021865c907a"
},
{
"data": {
"name": "Cisco CCM Product Codes",
"description": "Cisco CCM Product Codes",
"mappings": [
{
"key": "EMCC Base Phone",
"type": "regex",
"value": "(^15$)"
},
{
"key": "SCCP Phone",
"type": "regex",
"value": "(^20$)"
},
{
"key": "Analog Access",
"type": "regex",
"value": "(^30$)"
},
{
"key": "Digital Access",
"type": "regex",
"value": "(^40$)"
},
{
"key": "Digital Access+",
"type": "regex",
"value": "(^42$)"
},
{
"key": "Digital Access WS-X6608",
"type": "regex",
"value": "(^43$)"
},
{
"key": "Conference Bridge",
"type": "regex",
"value": "(^50$)"
},
{
"key": "Conference Bridge WS-X6608",
"type": "regex",
"value": "(^51$)"
},
{
"key": "H.323 Gateway",
"type": "regex",
"value": "(^62$)"
},
{
"key": "Music On Hold",
"type": "regex",
"value": "(^70$)"
},
{
"key": "Device Pilot",
"type": "regex",
"value": "(^71$)"
},
{
"key": "CTI Route Point",
"type": "regex",
"value": "(^73$)"
},
{
"key": "Voice Mail Port",
"type": "regex",
"value": "(^80$)"
},
{
"key": "Route List",
"type": "regex",
"value": "(^90$)"
},
{
"key": "Load Simulator",
"type": "regex",
"value": "(^100$)"
},
{
"key": "Media Termination Point",
"type": "regex",
"value": "(^110$)"
},
{
"key": "Media Termination Point Hardware",
"type": "regex",
"value": "(^111$)"
},
{
"key": "MGCP Station",
"type": "regex",
"value": "(^120$)"
},
{
"key": "MGCP Trunk",
"type": "regex",
"value": "(^121$)"
},
{
"key": "GateKeeper",
"type": "regex",
"value": "(^122$)"
},
{
"key": "Trunk",
"type": "regex",
"value": "(^125$)"
},
{
"key": "Tone Announcement Player",
"type": "regex",
"value": "(^126$)"
},
{
"key": "Unknown MGCP Gateway",
"type": "regex",
"value": "(^254$)"
},
{
"key": "Unknown",
"type": "regex",
"value": "(^255$)"
},
{
"key": "Cisco IOS Conference Bridge (HDV2)",
"type": "regex",
"value": "(^52$)"
},
{
"key": "Cisco Conference Bridge (WS-SVC-CMM)",
"type": "regex",
"value": "(^53$)"
},
{
"key": "Cisco IOS Software Media Termination Point (HDV2)",
"type": "regex",
"value": "(^83$)"
},
{
"key": "Cisco Media Server (WS-SVC-CMM-MS)",
"type": "regex",
"value": "(^84$)"
},
{
"key": "Cisco IOS Media Termination Point (HDV2)",
"type": "regex",
"value": "(^112$)"
},
{
"key": "Cisco Media Termination Point (WS-SVC-CMM)",
"type": "regex",
"value": "(^113$)"
},
{
"key": "SIP Trunk",
"type": "regex",
"value": "(^131$)"
},
{
"key": "SIP Gateway",
"type": "regex",
"value": "(^132$)"
},
{
"key": "WSM Trunk",
"type": "regex",
"value": "(^133$)"
},
{
"key": "Cisco Video Conference Bridge (IPVC-35xx)",
"type": "regex",
"value": "(^85$)"
},
{
"key": "BlackBerry MVS VoWifi",
"type": "regex",
"value": "(^522$)"
},
{
"key": "Usage Profile",
"type": "regex",
"value": "(^640$)"
},
{
"key": "Ascom IP-DECT Device",
"type": "regex",
"value": "(^598$)"
},
{
"key": "Cisco TelePresence Exchange System",
"type": "regex",
"value": "(^599$)"
},
{
"key": "Cisco TelePresence Conductor",
"type": "regex",
"value": "(^36041$)"
},
{
"key": "Interactive Voice Response",
"type": "regex",
"value": "(^36219$)"
},
{
"key": "H.323 Phone",
"type": "regex",
"value": "(^61$)"
},
{
"key": "CTI Port",
"type": "regex",
"value": "(^72$)"
},
{
"key": "Remote Destination Profile",
"type": "regex",
"value": "(^134$)"
},
{
"key": "Analog Phone",
"type": "regex",
"value": "(^30027$)"
},
{
"key": "ISDN BRI Phone",
"type": "regex",
"value": "(^30028$)"
},
{
"key": "Cisco 12 SP+",
"type": "regex",
"value": "(^2$)"
},
{
"key": "Cisco 12 SP",
"type": "regex",
"value": "(^3$)"
},
{
"key": "Cisco 12 S",
"type": "regex",
"value": "(^4$)"
},
{
"key": "Cisco 30 SP+",
"type": "regex",
"value": "(^1$)"
},
{
"key": "Cisco 30 VIP",
"type": "regex",
"value": "(^5$)"
},
{
"key": "Cisco 7935",
"type": "regex",
"value": "(^9$)"
},
{
"key": "Cisco 7910",
"type": "regex",
"value": "(^6$)"
},
{
"key": "Cisco 7960",
"type": "regex",
"value": "(^7$)"
},
{
"key": "Cisco 7940",
"type": "regex",
"value": "(^8$)"
},
{
"key": "Cisco VGC Phone",
"type": "regex",
"value": "(^10$)"
},
{
"key": "Cisco VGC Virtual Phone",
"type": "regex",
"value": "(^11$)"
},
{
"key": "VGC Gateway",
"type": "regex",
"value": "(^48$)"
},
{
"key": "Cisco ATA 186",
"type": "regex",
"value": "(^12$)"
},
{
"key": "7914 14-Button Line Expansion Module",
"type": "regex",
"value": "(^124$)"
},
{
"key": "Third-party SIP Device (Basic)",
"type": "regex",
"value": "(^336$)"
},
{
"key": "Third-party SIP Device (Advanced)",
"type": "regex",
"value": "(^374$)"
},
{
"key": "Cisco 7941",
"type": "regex",
"value": "(^115$)"
},
{
"key": "Cisco 7971",
"type": "regex",
"value": "(^119$)"
},
{
"key": "Cisco 7985",
"type": "regex",
"value": "(^302$)"
},
{
"key": "CTI Remote Device",
"type": "regex",
"value": "(^635$)"
},
{
"key": "Cisco 8961",
"type": "regex",
"value": "(^540$)"
},
{
"key": "Cisco 7821",
"type": "regex",
"value": "(^621$)"
},
{
"key": "Cisco 8945",
"type": "regex",
"value": "(^585$)"
}
],
"pkid": "69ee3b2b62dfd021865c906f",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/DashboardValueMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay"
],
"title": "Cisco CCM Product Codes",
"business_key": {
"unique": [
"name"
]
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/",
"pkid": "69ee3b2b62dfd021865c906e"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3b2b62dfd021865c906e"
],
"schema_version": "0.4",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DashboardValueMapping/69ee3b2b62dfd021865c906e/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3b2b62dfd021865c906e"
}
]
}
(Show the first instance)
{
"data": {
"name": "Autonomous System Number (ASN)",
"description": "Sample list of AS Number mappings",
"mappings": [
{
"key": "Redcentric (Hotchilli)",
"type": "equals",
"ignore_case": true,
"value": "as8419"
},
{
"key": "Redcentric",
"type": "equals",
"ignore_case": true,
"value": "as13009"
},
{
"key": "Bharti Airtel SMP",
"type": "equals",
"ignore_case": true,
"value": "as1299"
},
{
"key": "Akamai International NL",
"type": "equals",
"ignore_case": true,
"value": "as20940"
},
{
"key": "Telekomunikasi Indonesia",
"type": "equals",
"ignore_case": true,
"value": "as7713"
},
{
"key": "Hurricane Electric",
"type": "equals",
"ignore_case": true,
"value": "as6939"
},
{
"key": "Fastly Pantheon",
"type": "equals",
"ignore_case": true,
"value": "as54113"
},
{
"key": "Telstra Corp",
"type": "equals",
"ignore_case": true,
"value": "as1221"
},
{
"key": "Bell Canada",
"type": "equals",
"ignore_case": true,
"value": "as577"
},
{
"key": "Akamai Tech",
"type": "equals",
"ignore_case": true,
"value": "as16625"
},
{
"key": "Vocus International (backbone)",
"type": "equals",
"ignore_case": true,
"value": "as4826"
},
{
"key": "Microsoft Corp",
"type": "equals",
"ignore_case": true,
"value": "as8068"
},
{
"key": "Microsoft Corp",
"type": "equals",
"ignore_case": true,
"value": "as8075"
},
{
"key": "Cogent Communications",
"type": "equals",
"ignore_case": true,
"value": "as174"
},
{
"key": "SingTel Optus",
"type": "equals",
"ignore_case": true,
"value": "as7474"
},
{
"key": "Google",
"type": "equals",
"ignore_case": true,
"value": "as15169"
},
{
"key": "eStructure DC MTL",
"type": "equals",
"ignore_case": true,
"value": "as10929"
},
{
"key": "Singapore Telecom",
"type": "equals",
"ignore_case": true,
"value": "as7473"
},
{
"key": "Zayo Networks",
"type": "equals",
"ignore_case": true,
"value": "as6461"
},
{
"key": "Tata Communications",
"type": "equals",
"ignore_case": true,
"value": "as6453"
},
{
"key": "Amazon",
"type": "equals",
"ignore_case": true,
"value": "as16509"
},
{
"key": "Fuzenet",
"type": "equals",
"ignore_case": true,
"value": "as45763"
}
],
"pkid": "69ee3b2962dfd021865c903f"
},
"meta": {
"model_type": "data/DashboardValueMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay"
],
"title": "Autonomous System Number (ASN)",
"business_key": {
"unique": [
"name"
]
},
"api_version": "21.2",
"cached": false,
"references": {
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"children": [],
"self": [
{
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/",
"pkid": "69ee3b2962dfd021865c903e"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3b2962dfd021865c903e"
],
"schema_version": "0.4",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/clone/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DashboardValueMapping/69ee3b2962dfd021865c903e/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"pkid": "69ee3b2962dfd021865c903e"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for data/DashboardValueMapping. | GET | /api/data/DashboardValueMapping/help | hierarchy=[hierarchy] | On-line help of Model ref.: data/DashboardValueMapping as HTML |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Transform Template | GET | /api/data/DashboardValueMapping/transform/ |
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/data/DashboardValueMapping/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/data/DashboardValueMapping/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Clone instance with [pkid]. The schema rules are applied. | GET | /api/data/DashboardValueMapping/[pkid]/clone/?schema=&schema_rules=true |
|
A JSON payload with:
|
GET http://[host-proxy]/api/data/DashboardValueMapping/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of data/DashboardValueMapping; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/data/DashboardValueMapping/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of data/DashboardValueMapping and the JSON format can be used to import instances of data/DashboardValueMapping.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Tag | PATCH | /api/data/DashboardValueMapping/[pkid]/+tag | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/data/DashboardValueMapping/[pkid] | hierarchy=[hierarchy] | The data/DashboardValueMapping instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/data/DashboardValueMapping/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for data/DashboardValueMapping. |